#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Class
%define		pnam	MOP
%include	/usr/lib/rpm/macros.perl
Summary:	Class::MOP - A Meta Object Protocol for Perl 5
Summary(pl.UTF-8):	Class::MOP - protokół metaobiektów (Meta Object Protocol) dla Perla 5
Name:		perl-Class-MOP
Version:	1.12
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	685edbc1f388362f48ec67701b67acf6
URL:		http://search.cpan.org/dist/Class-MOP/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Algorithm-C3
BuildRequires:	perl-Data-OptList
BuildRequires:	perl-Devel-GlobalDestruction
BuildRequires:	perl-List-MoreUtils >= 0.12
BuildRequires:	perl-MRO-Compat >= 0.05
BuildRequires:	perl-Module-Info
BuildRequires:	perl-Package-DeprecationManager >= 0.10
BuildRequires:	perl-Package-Stash >= 0.13
BuildRequires:	perl-Sub-Name >= 0.04
BuildRequires:	perl-Task-Weaken
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Fatal >= 0.001
BuildRequires:	perl-Test-LeakTrace
BuildRequires:	perl-Test-NoTabs
BuildRequires:	perl-Test-Output
BuildRequires:	perl-Test-Requires >= 0.05
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Spelling
BuildRequires:	perl-Try-Tiny
%endif
Requires:	perl-Sub-Identify >= 0.03
Requires:	perl-Sub-Name >= 0.02
Conflicts:	perl-Moose < 0:0.72
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::MOP is a fully functioning meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or
characteristics of the Perl 5 object system, only to create a protocol
for its manipulation and introspection.

That said, it does attempt to create the tools for building a rich set
of extensions to the Perl 5 object system. Every attempt has been made
for these tools to keep to the spirit of the Perl 5 object system that
we all know and love.

%description -l pl.UTF-8
Class::MOP to w pełni funkcjonalny protokół metaobiektów dla systemu
obiektowego Perla 5. Nie próbuje zmieniać zachowania czy
charakterystyki systemu obiektowego Perla 5, a jedynie tworzy protokół
do własnych operacji i obserwacji.

Oznacza to, że klasa ta nie tworzy narzędzi do budowania bogatego
zbioru rozszerzeń do systemu obiektowego Perla 5 - dołożono wszelkich
starań, aby utrzymać te narzędzia w duchu znanego i lubianego systemu
obiektowego Perla 5.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/metaclass.pm
%{perl_vendorarch}/Class/MOP.pm
%{perl_vendorarch}/Class/MOP
%dir %{perl_vendorarch}/auto/Class/MOP
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MOP/MOP.so
%{_mandir}/man3/Class::MOP*.3pm*
%{_mandir}/man3/metaclass.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Class-MOP.git;a=log;h=9fc0258f6ec0291fb10cf2b409d99970e70e8f33

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9fc0258
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a06e3be
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue May 28 2013 Jan Rękorajski <baggins@pld-linux.org> 81bc3c9
- don't require perl-Scalar-List-Utils, it's in perl-modules
- rel 4

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> 293dced
- release 3

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 760a88d
- rel 2

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> c01c5b6
- updated to 1.12

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7304317
- release 2

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> f63dca9
- tests BR: perl-Try-Tiny

* Mon Feb 22 2010 radek <radek@pld-linux.org> dc44659
- version 0.98

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 4b36927
- updated to 0.94

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 8c4fabc
- Source0: url changed

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> a4d13e3
- updated to 0.92

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> ca050b4
- updated to 0.85

* Sun Mar 01 2009 radek <radek@pld-linux.org> 572644e
- version 0.78

* Sun Feb 01 2009 radek <radek@pld-linux.org> edede3a
- version 0.76

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 5bf7a4c
- updated to 0.63

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 121a32e
- pl

* Thu May 01 2008 radek <radek@pld-linux.org> 7399f61
- new

